cgGetStringAnnotationValues(3)

NAME
cgGetStringAnnotationValues - get the values from a string-valued annotation

SYNOPSIS
  #include <Cg/cg.h>

  const char * const * cgGetStringAnnotationValues( CGannotation ann,
                                                    int * nvalues );

PARAMETERS

ann The annotation from which the values will be retrieved.

nvalues
    Pointer to integer where the number of returned values will be stored.

RETURN VALUES
Returns a pointer to an array of string values. The number of values in the array is returned via the nvalues parameter.

Returns NULL if no values are available, ann is not string-typed, or an error occurs. nvalues will be 0.

DESCRIPTION
cgGetStringAnnotationValues allows the application to retrieve the value(s) of a string typed annotation.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_ANNOTATION_HANDLE_ERROR is generated if ann is not a valid annotation.

CG_INVALID_PARAMETER_ERROR is generated if nvalues is NULL.

HISTORY
cgGetStringAnnotationValues was introduced in Cg 2.0.

SEE ALSO
cgGetAnnotationType, cgGetStringAnnotationValue, cgGetBoolAnnotationValues, cgGetFloatAnnotationValues, cgGetIntAnnotationValues